Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.util.ant
Class MultipleAnt

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Ant
                  org.objectweb.util.ant.MultipleAnt

All Implemented Interfaces:
  java.io.FilenameFilter

public class MultipleAnt
extends org.apache.tools.ant.taskdefs.Ant
implements java.io.FilenameFilter

This task calls all xml files into the specified Dir

Nested Class Summary

Nested classes inherited from class org.apache.tools.ant.taskdefs.Ant
`org.apache.tools.ant.taskdefs.Ant.Reference`

Field Summary
`protected java.lang.String` | `antFile`
`protected java.io.File` | `directory`
`protected org.apache.tools.ant.types.FileSet` | `fileset`
`protected java.lang.String` | `target`
`protected boolean` | `useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`MultipleAnt()`

Method Summary
`boolean` | `accept(java.io.File dir, java.lang.String name)` This method is used to chack if a file is a xml file.
`org.apache.tools.ant.types.PatternSet.NameEntry` | `createExclude()` add a name entry on the exclude list
`org.apache.tools.ant.types.PatternSet.NameEntry` | `createExcludesFile()` add a name entry on the include files list
`org.apache.tools.ant.types.PatternSet.NameEntry` | `createInclude()` add a name entry on the include list
`org.apache.tools.ant.types.PatternSet.NameEntry` | `createIncludesFile()` add a name entry on the include files list
`org.apache.tools.ant.types.PatternSet` | `createPatternSet()` add a set of patterns
`void` | `execute()` Search all files in the directory.
`protected org.apache.tools.ant.DirectoryScanner` | `getDirectoryScanner(java.io.File baseDir)` Returns the directory scanner needed to access the files to process.
`void` | `setAntFile(java.lang.String f)`
`void` | `setDefaultexcludes(boolean useDefaultExcludes)` Sets whether default exclusions should be used or not.
`void` | `setDir(java.io.File d)` Set the directory where find xml file(s).
`void` | `setExcludes(java.lang.String excludes)` Sets the set of exclude patterns.
`void` | `setExcludesfile(java.io.File excludesfile)` Sets the name of the file containing the includes patterns.
`void` | `setIncludes(java.lang.String includes)` Sets the set of include patterns.
`void` | `setIncludesfile(java.io.File includesfile)` Sets the name of the file containing the includes patterns.
`void` | `setTarget(java.lang.String t)`

Methods inherited from class org.apache.tools.ant.taskdefs.Ant
`addPropertyset, addReference, createProperty, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, setAntfile, setInheritAll, setInheritRefs, setOutput`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### directory

    protected java.io.File directory

### antFile

    protected java.lang.String antFile

### target

    protected java.lang.String target

### useDefaultExcludes

    protected boolean useDefaultExcludes

### fileset

    protected org.apache.tools.ant.types.FileSet fileset

Constructor Detail

### MultipleAnt

    public MultipleAnt()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Search all files in the directory. Foreach set the antfile on the ant task and execute the ant task.

  Throws:
    `org.apache.tools.ant.BuildException`

### setDir

    public void setDir(java.io.File d)

  Set the directory where find xml file(s). The field "dir" is required to use this task.

### setAntFile

    public void setAntFile(java.lang.String f)

### setTarget

    public void setTarget(java.lang.String t)

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String name)

  This method is used to chack if a file is a xml file.

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

### createInclude

    public org.apache.tools.ant.types.PatternSet.NameEntry createInclude()

  add a name entry on the include list

### createIncludesFile

    public org.apache.tools.ant.types.PatternSet.NameEntry createIncludesFile()

  add a name entry on the include files list

### createExclude

    public org.apache.tools.ant.types.PatternSet.NameEntry createExclude()

  add a name entry on the exclude list

### createExcludesFile

    public org.apache.tools.ant.types.PatternSet.NameEntry createExcludesFile()

  add a name entry on the include files list

### createPatternSet

    public org.apache.tools.ant.types.PatternSet createPatternSet()

  add a set of patterns

### setIncludes

    public void setIncludes(java.lang.String includes)

  Sets the set of include patterns. Patterns may be separated by a comma or a space.

  Parameters:
    `includes` - the string containing the include patterns

### setExcludes

    public void setExcludes(java.lang.String excludes)

  Sets the set of exclude patterns. Patterns may be separated by a comma or a space.

  Parameters:
    `excludes` - the string containing the exclude patterns

### setDefaultexcludes

    public void setDefaultexcludes(boolean useDefaultExcludes)

  Sets whether default exclusions should be used or not.

  Parameters:
    `useDefaultExcludes` - "true"|"on"|"yes" when default exclusions should be used, "false"|"off"|"no" when they shouldn't be used.

### getDirectoryScanner

    protected org.apache.tools.ant.DirectoryScanner getDirectoryScanner(java.io.File baseDir)

  Returns the directory scanner needed to access the files to process.

### setIncludesfile

    public void setIncludesfile(java.io.File includesfile)

  Sets the name of the file containing the includes patterns.

  Parameters:
    `includesfile` - A string containing the filename to fetch the include patterns from.

### setExcludesfile

    public void setExcludesfile(java.io.File excludesfile)

  Sets the name of the file containing the includes patterns.

  Parameters:
    `excludesfile` - A string containing the filename to fetch the include patterns from.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD